XROOTD-L Archives

Support use of xrootd by HEP experiments

XROOTD-L@LISTSERV.SLAC.STANFORD.EDU

Options: Use Forum View

Use Monospaced Font
Show Text Part by Default
Show All Mail Headers

Message: [<< First] [< Prev] [Next >] [Last >>]
Topic: [<< First] [< Prev] [Next >] [Last >>]
Author: [<< First] [< Prev] [Next >] [Last >>]

Print Reply
Subject:
From:
Juan Cabrera <[log in to unmask]>
Reply To:
Date:
Thu, 23 Jan 2014 16:20:01 +0100
Content-Type:
multipart/mixed
Parts/Attachments:
text/plain (3122 bytes) , juan_cabrera.vcf (244 bytes)
Thanks for your prompt reply,

I try to compile but I have errors, it seems that cmake can not find the 
libraries in openindiana.

  cmake /root/xrootd/xrootd-3.3.5 -DCMAKE_INSTALL_PREFIX=/opt/xrootd
CMake Error at cmake/XRootDUtils.cmake:33 (get_filename_component):
   get_filename_component unknown component REALPATH
Call Stack (most recent call first):
   CMakeLists.txt:12 (CheckBuildDirectory)


-- Could NOT find READLINE  (missing:  READLINE_LIBRARY NCURSES_LIBRARY)
-- Could NOT find OpenSSL  (missing:  OPENSSL_LIBRARIES)
-- Could NOT find KERBEROS5  (missing:  KERBEROS5_LIBRARIES 
KERBEROS5_INCLUDE_DIR)
-- Could NOT find LibEvent  (missing:  LIBEVENT_LIB LIBEVENT_INCLUDE_DIR)
-- ----------------------------------------
-- Installation path: /opt/xrootd
-- C Compiler:        /usr/bin/gcc
-- C++ Compiler:      /usr/bin/c++
-- Build type:        Debug
-- 
-- Readline support:  libs not found
-- Fuse support:      disabled
-- Crypto support:    disabled
-- Kerberos5 support: disabled
-- Perl support:      disabled
-- XrdCl:             yes
-- LibEvent support:  disabled
-- Tests:             disabled
-- ----------------------------------------
-- Configuring incomplete, errors occurred!



On 23/01/2014 16:13, Lukasz Janyst wrote:
> Hi Juan,
>
>   linker checks for the hardware compatibility and and fails. You can 
> try compiling yourself. It's not terribly complicated.
>
> Cheers,
>    Lukasz
>
> On 23.01.2014 16:10, Juan Cabrera wrote:
>> Dear xrootd developers,
>>
>> I have your  pre compiled version xrootd-3.3.5.sunx86_510_dbg.tar.gz
>> running perfectly with openindiana 151a on a AMD machine.
>>
>> I try to install the same binary on a openindiana but with a Intel Xeon
>> machine.
>> In this one I get this error:
>>
>>   #./StartXRD
>> Starting xrootd ...
>> ld.so.1: xrootd: fatal: /opt/xrootd/bin/xrootd: hardware capability
>> (CA_SUNW_HW_1) unsupported: 0x100  [ AMD_3DNow ]
>>
>> # ldd /opt/xrootd/bin/xrootd
>> /opt/xrootd/bin/xrootd: warning: hardware capability (CA_SUNW_HW_1)
>> unsupported: 0x100  [ AMD_3DNow ]
>>          libXrdMain.so.1 =>       /usr/lib/64/libXrdMain.so.1
>>          libXrdOfs.so.1 =>        /usr/lib/64/libXrdOfs.so.1 - hardware
>> capability (CA_SUNW_HW_1) unsupported: 0x100  [ AMD_3DNow ]
>>          libXrdUtils.so.1 => /usr/lib/64/libXrdUtils.so.1  -
>> hardware capability (CA_SUNW_HW_1) unsupported: 0x100  [ AMD_3DNow ]
>>          libdl.so.1 =>    /lib/64/libdl.so.1
>>          libpthread.so.1 =>       /lib/64/libpthread.so.1
>>          librt.so.1 =>    /lib/64/librt.so.1
>>            .....
>>
>>
>>
>> It is possible to get a version compiled for intel xeon or without 3DNow
>> capability?
>>
>> Thank you in advance.
>>
>> Juan Cabrera
>>
>>
>> ########################################################################
>> Use REPLY-ALL to reply to list
>>
>> To unsubscribe from the XROOTD-L list, click the following link:
>> https://listserv.slac.stanford.edu/cgi-bin/wa?SUBED1=XROOTD-L&A=1
>


########################################################################
Use REPLY-ALL to reply to list

To unsubscribe from the XROOTD-L list, click the following link:
https://listserv.slac.stanford.edu/cgi-bin/wa?SUBED1=XROOTD-L&A=1


ATOM RSS1 RSS2